{% load i18n %}

{% block content %}

    <div class="row bs-wizard">
        <div id="step1" class="col-xs-1 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 1</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated %}
          <a href="{% url 'wizard:step1' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Modelo" %}</div>
        </div>

        <div id="step2" class="col-xs-2 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 2</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 1 %}
          <a href="{% url 'wizard:step2' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Domínio" %}</div>
        </div>

        <div id="step3" class="col-xs-2 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 3</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 2 %}
          <a href="{% url 'wizard:step3' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Fronteiras" %}</div>
        </div>

        <div id="step4" class="col-xs-1 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 4</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 3 %}
          <a href="{% url 'wizard:step4' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Estações" %}</div>
        </div>

        <div id="step5" class="col-xs-1 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 5</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 4 %}
          <a href="{% url 'wizard:step5' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Parâmetros Hidrodinâmicos" %}</div>
        </div>

        <div id="step6" class="col-xs-2 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 6</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 5 %}
          <a href="{% url 'wizard:step6' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Dados adicionais" %}</div>
        </div>

        <div id="step7" class="col-xs-2 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 7</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 6 %}
          <a href="{% url 'wizard:step7' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Qualidade da Água" %}</div>
        </div>

        <div id="step8" class="col-xs-1 bs-wizard-step">
          <div class="text-center bs-wizard-stepnum">{% trans "Passo" %} 8</div>
          <div class="progress"><div class="progress-bar"></div></div>
          {% if user.is_authenticated and request.session.last_step >= 7 %}
          <a href="{% url 'wizard:step8' %}" class="bs-wizard-dot"></a>
          {% else %}
          <span class="bs-wizard-dot"></span>
          {% endif %}
          <div class="bs-wizard-info text-center">{% trans "Submissão" %}</div>
        </div>
    </div>

{% endblock content %}